Ir al contenido

Inscribir en un evento al socio que ha iniciado sesión

POST
/v1/events/{slug}/registrations
curl --request POST \
--url https://api.vimine.network/v1/events/example/registrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "quantity": 1, "locale": "example" }'

Tipo gratuito: 201 con status: confirmed y el token del QR. Tipo de pago: 201 con status: reserved, el importe y las payment_instructions de la asociación; la inscripción se confirma cuando la asociación registra la contribución (Stripe Checkout llega con la fase L3). 422 not_eligible lleva los motivos (consulta la elegibilidad).

slug
obligatorio
string
Tipo de medioapplication/json
object
registration_type
obligatorio
string formato: uuid
note
string
nullable <= 2000 caracteres
quantity
integer
>= 1
locale

El idioma en el que se hizo la inscripción (it, en): el idioma de los correos a un invitado, y la alternativa para un socio que nunca eligió uno. Por defecto, Accept-Language

string
nullable
Ejemplogenerado
{
"registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"note": "example",
"quantity": 1,
"locale": "example"
}

Inscrito

Tipo de medioapplication/json
object
id
string formato: uuid
status
string
Valores permitidos: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
nullable
timezone
string
status
string
location
string
nullable
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
nullable
checked_in_at
string formato: date-time
nullable
cancelled_at
string formato: date-time
nullable
cancel_reason
string
nullable
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions

Cómo pagar la contribución mientras está reservada

string
nullable
note

Texto libre que ha escrito la persona. Se oculta (null) a los clientes de terceros cuando la asociación ha declarado que trata categorías especiales de datos

string
nullable
created_at
string formato: date-time
token

El contenido del QR de la inscripción (vmt_…), solo inscripciones confirmadas

string
nullable
Ejemplo
{
"status": "reserved"
}

Petición no válida

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Credenciales ausentes o no válidas

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

No permitido

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

No encontrado

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

No elegible (reasons) o tipo de inscripción desconocido

Límite de frecuencia superado

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Error interno

Tipo de medioapplication/problem+json
object
type
obligatorio
string formato: uri
title
obligatorio
string
status
obligatorio
integer
detail
string
code
obligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Ejemplogenerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}